For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
      • GETGet accounting connections
      • POSTConnect to an accounting system
      • GETGet an accounting connection by ID
      • POSTDisconnect from an accounting system
      • POSTForce Sync
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounting integrationAccounting connections

Force Sync

POST
/accounting_connections/:connection_id/sync
POST
/v1/accounting_connections/:connection_id/sync
$curl -X POST https://api.sandbox.monite.com/v1/accounting_connections/connection_id/sync \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "message": "message"
3}
Was this page helpful?
Previous

Get payables list from accounting system

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
messagestring

Errors

422
Post Accounting Connections ID Sync Request Unprocessable Entity Error
500
Post Accounting Connections ID Sync Request Internal Server Error